#!/bin/sh

#
# Copyright (C) 2020-2021 NVIDIA Corporation. ALL RIGHTS RESERVED.
# Copyright 2020 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

# Setup the hw-management Cumulus VX on every install

# Load the VERBOSE setting and other rcS variables
simxhwmgmtpath="/usr/share/cumulus-platform/mlnx/simx_msn4800/etc/cumulus/hw-management_4800.tgz"
cardsconf="/etc/cumulus/cards.conf"

if [ -f $simxhwmgmtpath ]; then
    tar zxvf $simxhwmgmtpath -C /var/run
    echo "Extracted the hw-management simulation files to /var/run"
fi

while IFS=" " read -r col1 col2 col3 col4 col5; do
    case "$col1" in \#*) continue ;; esac
    /usr/share/cumulus-platform/mlnx/simx_msn4800/etc/cumulus/setupslot.sh ${col4} ${col1}
done < $cardsconf
return
